roasOS
API referenceAccount

Get credit usage history

GET
/v1/account/usage

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Query Parameters

cursor?string

Opaque composite pagination cursor from the previous response. Do not parse or construct it.

limit?integer

Number of items to return

Range1 <= value <= 100
Default20

Response Body

application/json

curl -X GET "https://example.com/v1/account/usage"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "credits": 0,      "direction": "debit",      "generation_id": "a3c889df-e7ae-4ae9-9838-8884129ade5e",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "cursor": "string",    "has_more": true  }}